# Interface methods for submodule: LevelSetFunctionWithRefitTerm
from typing import Union, Any
# additional imports
from .support.template_class import itkTemplate as _itkTemplate
from ._proxies import LevelSetFunctionProxy as _LevelSetFunctionProxy


# Interface methods for class: LevelSetFunctionWithRefitTerm
class LevelSetFunctionWithRefitTermProxy(_LevelSetFunctionProxy):
	def GetNameOfClass(self):
		""""""
		...

	@staticmethod
	def New():
		""""""
		...

	def Clone(self):
		""""""
		...

	def SetRefitWeight(self, w: float) -> None:
		""""""
		...

	def SetOtherPropagationWeight(self, w: float) -> None:
		""""""
		...

	def SetSparseTargetImage(self, im) -> None:
		""""""
		...

	def GetSparseTargetImage(self):
		""""""
		...

	def ComputeGlobalTimeStep(self, GlobalData) -> float:
		""""""
		...

